%define rel_canta git20130531
%define rel_media git20130510

Name:			canta
Version:		0.2.1
Release:		%mkrel -c %{rel_canta} 11
Summary:		A platform-independent karaoke (singstar-like) Game
License:		GPLv3+
Group:			Games/Other
URL:			https://github.com/spiderbit/canta
BuildArch:		noarch

#https://github.com/spiderbit/canta/commits/propose_0.2
Source:			%{name}-%{version}-%{rel_canta}.tar.gz
#https://github.com/spiderbit/canta-media/tree/propose_0.2
Source1:		%{name}-media-%{version}-%{rel_media}.tar.gz
Source2:		%{name}-ru.po
Source3:		%{name}-de_DE.po
Source4:		%{name}-en_US.po

Patch0:			%{name}-%{version}-mga-desktop-files.patch
Patch1:			%{name}-%{version}-mga-lilypond.patch

BuildRequires:		pkgconfig(python2)

BuildRequires:		python
Requires:		python-pyaudio
Requires:		python >= %{python2_version}
Requires:		python-configobj
Requires:		gstreamer0.10-python
Requires:		gstreamer0.10-plugins-base
Requires:		gstreamer0.10-plugins-good
Requires:		python-mingus
Requires:		python-numpy
Requires:		pyogg
Requires:		python-pygame
Requires:		python-pyxdg
Requires:		soya
Requires:		pyvorbis
Requires:		wxPython
Requires:		python-pillow
Requires:		mutagen

%description
Canta is a platform-independent karaoke (singstar-like) Game.

You have to sing songs and the game shows you if you are hit
the notes and at the end you see your skill-level.
But its goal is more educational, so you see (if included to the
song) the notes you have to sing. But you can naturally also just
have fun with it.

%prep
%setup -q -n %{name}-%{version}-%{rel_canta} -a1
%__sed -i -e 's|"canta"|prg_name|g' ./scripts/compile_translations.py
%autopatch -p1

#Localization
rm -rf ./locale
#mkdir -p ./po
cp -f %{SOURCE2} ./po/
cp -f %{SOURCE3} ./po/
cp -f %{SOURCE4} ./po/

ln -s %{name}-media-%{version}-%{rel_media}/songs .
ln -s %{name}-media-%{version}-%{rel_media}/themes .

#Adjust paths
%__sed -i -e 's|Exec=.*|Exec=%{name}|g' ./misc/%{name}.desktop
%__sed -i -e 's|Exec=.*|Exec=csg|g' ./misc/csg.desktop

#New run scripts
echo "#!/bin/bash" > ./starter/%{name}
echo "cd %{_prefix}/share/games/%{name}" >> ./starter/%{name}
echo "python %{_prefix}/share/games/%{name}/run_canta" >> ./starter/%{name}
echo "#!/bin/bash" > ./starter/csg
echo "cd %{_prefix}/share/games/%{name}" >> ./starter/csg
echo 'python %{_prefix}/share/games/%{name}/run_song_generator -n csg $*' >> ./starter/csg

%build
cd ./scripts
./makepot.sh
./compile_translations.py %{name} ../po
cd ..

%py2_build

%install
%py2_install

#Icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 misc/%{name}.png %{buildroot}%{_datadir}/pixmaps

#Songs
%__install -dm 755 %{buildroot}%{_datadir}/games/%{name}/media/songs
%__cp -a songs/* %{buildroot}%{_datadir}/games/%{name}/media/songs
pushd %{buildroot}%{_datadir}/games/%{name}/media/songs
	find . -type f -exec %__chmod 644 {} \;
	find . -type d -exec %__chmod 755 {} \;
popd

#Themes
%__install -dm 755 %{buildroot}%{_datadir}/games/%{name}/media/themes
%__cp -a themes/* %{buildroot}%{_datadir}/games/%{name}/media/themes

#Fix "Can't cache Cal3D neighbor face data in file neighbors_0-0"
pushd %{buildroot}%{_datadir}/games/%{name}/media/themes
	find . -name neighbors_0-0 -exec %__chmod 666 {} \;
popd

#Clean excess files
%__rm %{buildroot}%{_datadir}/games/%{name}/misc/*.desktop
%__rm %{buildroot}%{_datadir}/games/%{name}/misc/installer.nsi

#Move locale and add symlink
mv -f %{buildroot}%{_datadir}/games/%{name}/locale %{buildroot}%{_datadir}/
ln -s %{_datadir}/locale %{buildroot}%{_datadir}/games/%{name}/locale

#Hide csg from Menu
rm -f %{buildroot}%{_datadir}/applications/csg.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/csg
%dir %{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}/*
%{python2_sitelib}/%{name}-0.0.0-py%{python2_version}.egg-info
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/run_*
%dir %{_datadir}/games/%{name}/misc
%{_datadir}/games/%{name}/misc/*
%{_datadir}/games/%{name}/locale
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/games/%{name}/media
%dir %{_datadir}/games/%{name}/media/songs
%{_datadir}/games/%{name}/media/songs/*
%dir %{_datadir}/games/%{name}/media/themes
%{_datadir}/games/%{name}/media/themes/*


%changelog
* Thu May 25 2017 akien <akien> 0.2.1-0.git20130531.11.mga6
+ Revision: 1104623
- Rebuild for ode 0.15.2

* Mon Aug 29 2016 daviddavid <daviddavid> 0.2.1-0.git20130531.10.mga6
+ Revision: 1049407
- requires gstreamer0.10-plugins-base and gstreamer0.10-plugins-good
- use new python macros

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 17 2015 alexl <alexl> 0.2.1-0.git20130531.9.mga6
+ Revision: 903851
- s/patch/autopatch/
- compatibility with python-mingus-0.5.1 (lilypond.patch)

* Sat Oct 24 2015 daviddavid <daviddavid> 0.2.1-0.git20130531.8.mga6
+ Revision: 894874
- use new python macros to fix build

* Tue Jan 06 2015 alexl <alexl> 0.2.1-0.git20130531.7.mga5
+ Revision: 808759
- update desktop files

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-0.git20130531.6.mga5
+ Revision: 747130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.1-0.git20130531.5.mga5
+ Revision: 726004
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-0.git20130531.4.mga5
+ Revision: 678305
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.2.1-0.git20130531.3.mga5
+ Revision: 628126
- Rebuild for new Python

* Fri Apr 18 2014 alexl <alexl> 0.2.1-0.git20130531.2.mga5
+ Revision: 616853
- policy for pre-release versions

* Fri Apr 18 2014 alexl <alexl> 0.2.1-1.mga5
+ Revision: 616847
- imported package canta

